

#ifndef FRONTEND_H
#define FRONTEND_H

#include <sys/types.h>

/* Connection Status API.
 *
 * fe_connection() is called to indicate what state the connection is
 * in. Note, the status may bounce between fe_connected and
 * fe_connecting many times during an operation - especially if
 * connected to a WebDAV server which doesn't implement HTTP/1.1
 * persistent connections.
 */

typedef enum {
    fe_namelookup, /* Looking up hostname */
    fe_connecting, /* Connecting to server */
    fe_connected /* Connection established */
} fe_conn_status;

extern void fe_connection( fe_conn_status status );

extern void fe_transfer_progress( size_t progress, size_t total );

extern int fe_login( const char **username, const char **password );

#endif
